[gimp/gimp-2-8] autogen: if $NOCONFIGURE is set, do not run the configure script.
- From: Jehan Pagès <jehanp src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gimp/gimp-2-8] autogen: if $NOCONFIGURE is set, do not run the configure script.
- Date: Mon, 6 Mar 2017 23:09:18 +0000 (UTC)
commit 34616cdf53c06a85ea902dcb7a051ecac3cd1603
Author: Jehan <jehan girinstud io>
Date: Wed Nov 5 20:11:58 2014 +0100
autogen: if $NOCONFIGURE is set, do not run the configure script.
(cherry picked from commit 6915ffaf05337d98203eb4b7e7be69e4fca6e39f)
autogen.sh | 42 +++++++++++++++++++++++-------------------
1 files changed, 23 insertions(+), 19 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 59ccd50..3a5be3b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -234,17 +234,19 @@ test $TEST_TYPE $FILE || {
}
-echo
-echo "I am going to run ./configure with the following arguments:"
-echo
-echo " $AUTOGEN_CONFIGURE_ARGS $@"
-echo
-
-if test -z "$*"; then
- echo "If you wish to pass additional arguments, please specify them "
- echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
- echo "environment variable."
+if test -z "$NOCONFIGURE"; then
echo
+ echo "I am going to run ./configure with the following arguments:"
+ echo
+ echo " $AUTOGEN_CONFIGURE_ARGS $@"
+ echo
+
+ if test -z "$*"; then
+ echo "If you wish to pass additional arguments, please specify them "
+ echo "on the $0 command line or set the AUTOGEN_CONFIGURE_ARGS "
+ echo "environment variable."
+ echo
+ fi
fi
@@ -302,13 +304,15 @@ intltoolize --automake || exit $?
cd $ORIGDIR
-$srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@"
-RC=$?
-if test $RC -ne 0; then
- echo
- echo "Configure failed or did not finish!"
- exit $RC
-fi
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@"
+ RC=$?
+ if test $RC -ne 0; then
+ echo
+ echo "Configure failed or did not finish!"
+ exit $RC
+ fi
-echo
-echo "Now type 'make' to compile the $PROJECT."
+ echo
+ echo "Now type 'make' to compile the $PROJECT."
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]